Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.0.1 »
- erfa Package »
- s2c

# s2c

erfa.s2c(theta, phi)

  Convert spherical coordinates to Cartesian.

  Parameters
    theta double array
    phi double array
  Returns
    c double array

  Notes

  Wraps ERFA function `eraS2c`. The ERFA documentation is:

      - - - - - - -
       e r a S 2 c
      - - - - - - -

      Convert spherical coordinates to Cartesian.

      Given:
         theta    double       longitude angle (radians)
         phi      double       latitude angle (radians)

      Returned:
         c        double[3]    direction cosines

      This revision:  2021 May 11

      Copyright (C) 2013-2021, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.